<!-- The main scouting page. -->

{% extends 'main/base.html' %}
{% load static %}

{% block stylesheets %}
<link rel="stylesheet" href="{% static 'scouting/css/index.css' %}">
{% endblock %}

{% block nav_home %} class="button" {% endblock %}
{% block nav_scouting %} class="button-selected" {% endblock %}
{% block nav_contact %} class="button" {% endblock %}
{% block nav_sign-in %} class="button" {% endblock %}

{% block content %}

    <div class="page-tlt">
        <h1>Scouting</h1>
        <div class="right-triangle-decoration page-tlt-triangle wss"></div>
    </div>
    
    <div class="nav-two-row">
        {% if last_comp %}
            <a href="{% url 'scouting:indexComp' last_comp.id %}" class = "match-button">Last Competition</a>
        {% else %}
            <a href="{% url 'scouting:index' %}" class = "match-button">Last Competition</a>
        {% endif %}
        <a href="{% url 'scouting:newmatchform' %}" class="add-match" > <i class="fas fa-plus"></i> Add Match</a>
        <a href = "{% url 'scouting:teams' %}" class = "match-button">View All Teams</a>
    </div>
    
    <div class="body-content">
        {% if comps %}
            <ul>
                <div style="overflow-x:auto;">
                    <table id = "matchTable">
                        <tr><th> FRC 2020: Infinite Recharge </th></tr>
                        {% for c in comps %}                    
                           {% if c.isIR %}
                                <tr class="comp-row"><td><a href="{% url 'scouting:indexCompIR' c.id %}"><h1>{{ c.Name }}</h1></a></td></tr>
                           {% endif %}
                        {% endfor %}
                        
                        <!---
                            <tr><th> 2019 - Deep Space </th></tr>
                            {% for c in comps %}                    
                               {% if c.isDS %}
                                    <tr><td class="comp-row"><a href = "{% url 'scouting:indexComp' c.id %}"> {{ c.Name }}</a></td></tr>
                               {% endif %}
                            {% endfor %}
                        --->
                    </table>
                </div>
            </ul>
        {% else %}
            <p class = "no-data"> No data is available, or there has been an error. Contact programming if this message appears after data has been entered.</p>
        {% endif %}
    </div>

{% endblock %}
